package com.energy.manage.service.mappers.analysis;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.service.domain.dto.analysis.AnalysisResultReportDto;
import com.energy.manage.service.domain.vo.analysis.AnalysisResultReportVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author chy
 * @date 2024/9/20 16:58
 * @desc
 */
@Repository
public interface AnalysisResultReportMapper extends MyMapper<AnalysisResultReportVo> {

    /**
     * 保存报表
     * @return
     */
    int saveReportBatch(@Param("list") List<AnalysisResultReportDto> resultReportDto);

    /**
     * 根据批次查询报表
     * @param batchCode
     * @return
     */
    List<AnalysisResultReportVo> selectByBatchCode(@Param("batchCode") String batchCode);

}
